import Joi from 'joi';
export declare type UnaryOp = <F extends Function>(t: F) => F;
/**
 * Returns parameter validating higher order function.
 * @param schemata - Joi schemata for parameters.
 * @returns Parameter validating higher order function.
 */
export declare function validateParams(...schemata: Joi.Schema[]): UnaryOp;
/**
 * Returns result validating higher order function.
 * @param schema - Joi schema for result.
 * @returns Result validating higher order function.
 */
export declare function validateResult(schema: Joi.Schema): UnaryOp;
